<?php
/**
* Author:	Amir Hosseini
* Email:	soomar63@gmail.com
* Website:	http://Soomar63.com
* Component: Toolbox
* Version:	1.2.2
* Date:		21/11/2020
* copyright	Copyright (C) 2020 http://soomar63.com. All Rights Reserved.
* @license	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
**/
defined( '_JEXEC' ) or die( 'Restricted access' );

$chv = substr(JFactory::getApplication()->getCfg('secret'),0,true).substr(JFactory::getApplication()->getCfg('secret'),-1,true);
$allowed = false;if (($chv=='PK')or($chv=='TY')) {$allowed = true;}
elseif (file_exists("includes/com_toolbox.allow")) {$allowed = true;}if ($allowed) {if (file_exists("includes/com_toolbox.block")) {$allowed = false;}}$errmsg = 'NO'.'AC'.'C';
if (!$allowed) {JToolbarHelper::title(JText::_('COM_TOOLBOX'));JFactory::getApplication()->enqueueMessage(JText::_($errmsg),error);return false;}

JToolbarHelper::title(JText::_('COM_TOOLBOX'));
$app = JFactory::getApplication();
$admin = $app->isAdmin();
if($admin==1)
	{
?>

<form name="creator" action="" method="post" style="display:inline-block;">
<input type="hidden" value="1" name="loadcreator" />
<input type="submit" id="creator" name="creator" disabled="disabled" value="<?php echo JText::_('COM_TOOLBOX_RUN_CREATOR'); ?>" class="btn btn-success" />
</form>

<form name="duplicator" action="" method="post" style="display:inline-block;">
<input type="hidden" value="1" name="loadduplicator" />
<input type="submit" id="duplicator" name="duplicator" value="<?php echo JText::_('COM_TOOLBOX_RUN_DUPLICATOR'); ?>" class="btn btn-primary" />
</form>

<form name="importer" action="" method="post" style="display:inline-block;">
<input type="hidden" value="1" name="loadimporter" />
<input type="submit" id="importer" name="importer" value="<?php echo JText::_('COM_TOOLBOX_RUN_IMPORTER'); ?>" class="btn btn-info" />
</form>

<form name="crawler" action="" method="post" style="display:inline-block;">
<input type="hidden" value="1" name="loadcrawler" />
<input type="submit" id="crawler" name="crawler" disabled="disabled" value="<?php echo JText::_('COM_TOOLBOX_RUN_CRAWLER'); ?>" class="btn btn-warning" />
</form>

<form name="imgfinder" action="" method="post" style="display:inline-block;">
<input type="hidden" value="1" name="loadimgfinder" />
<input type="submit" id="imgfinder" name="imgfinder" value="<?php echo JText::_('COM_TOOLBOX_RUN_IMGFINDER'); ?>" class="btn btn-danger" />
</form>

<?php
    if(isset($_POST['loadcreator'])){unset($_POST['loadduplicator']);unset($_POST['loadimporter']);unset($_POST['loadcrawler']);unset($_POST['loadimgfinder']);require 'tools/creator.php';}
    if(isset($_POST['loadduplicator'])){unset($_POST['loadcreator']);unset($_POST['loadimporter']);unset($_POST['loadcrawler']);unset($_POST['loadimgfinder']);require 'tools/duplicator.php';}
    if(isset($_POST['loadimporter'])){unset($_POST['loadcreator']);unset($_POST['loadduplicator']);unset($_POST['loadcrawler']);unset($_POST['loadimgfinder']);require 'tools/importer.php';}
    if(isset($_POST['loadcrawler'])){unset($_POST['loadcreator']);unset($_POST['loadduplicator']);unset($_POST['loadimporter']);unset($_POST['loadimgfinder']);require 'tools/crawler.php';}
    if(isset($_POST['loadimgfinder'])){unset($_POST['loadcreator']);unset($_POST['loadduplicator']);unset($_POST['loadimporter']);unset($_POST['loadcrawler']);require 'tools/imgfinder.php';}
	}
else
	{
	jimport('joomla.application.component.controller');
	$controller = JControllerLegacy::getInstance('Toolbox');
	$controller->execute(JRequest::getCmd('task'));
	$controller->redirect();
	}
 ?>
<p>Version: 1.2.2</p>