<?php
/**
* Author:	Amir Hosseini
* Email:	soomar63@gmail.com
* Website:	http://Soomar63.com
* Component: Toolbox
* Version:	1.2.2
* Date:		21/11/2020
* copyright	Copyright (C) 2020 http://soomar63.com. All Rights Reserved.
* @license	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
$app = JFactory::getApplication();
$smsg = '';
$emsg = '';
?>
<form name="imgfinder" action="" method="post">
<input type="hidden" value="1" name="loadimgfinder" />
<!--Checks inserted bey and only accept numbers-->
<script type="text/javascript">function validate(evt) {var theEvent = evt || window.event;var key = theEvent.keyCode || theEvent.which;key = String.fromCharCode( key );var regex = /[0-9]|\./;if( !regex.test(key) ) {theEvent.returnValue = false;if(theEvent.preventDefault) theEvent.preventDefault();}}</script>

<label><?php echo JText::_('COM_TOOLBOX_ARTICLEFROM'); ?> </label>
<input type="number" size="28" onkeypress="validate(event)" value="<?php echo $_POST['articlefrom']; ?>" name="articlefrom" /><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_ARTICLEFROM_ALERT'); ?></div>

<label><?php echo JText::_('COM_TOOLBOX_ARTICLETO'); ?> </label>
<input type="number" size="28" onkeypress="validate(event)" value="<?php echo $_POST['articleto']; ?>" name="articleto" /><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_ARTICLETO_ALERT'); ?></div>
<br />
<input type="submit" id="imgfinder" name="imgfinder" value="<?php echo JText::_('COM_TOOLBOX_SUBMIT'); ?>" class="btn btn-primary" />
<input type="reset" name="reset" value="<?php echo JText::_('COM_TOOLBOX_RESET'); ?>" class="btn btn-warning" />
</form>

<?php
		$fromid = $_POST['articlefrom'];
		    if (!$fromid) {$app->enqueueMessage(JText::_('COM_TOOLBOX_FORMID_HELP'));return false;}
			if ($fromid <1) {$app->enqueueMessage(JText::_('COM_TOOLBOX_INVALID_FORMID'), 'error');return false;}
		$toid = $_POST['articleto'];
			if (!$toid) {$app->enqueueMessage(JText::_('COM_TOOLBOX_EMPTY_TOID'), 'error');return false;}
			if ($toid <1) {$app->enqueueMessage(JText::_('COM_TOOLBOX_INVALID_TOID'), 'error');return false;}
			if ($toid < $fromid) {$app->enqueueMessage(JText::_('COM_TOOLBOX_SMALL_TOID'), 'error');return false;}
			
$articlefound = false;
$db = JFactory::getDBO();

$query = "SELECT `id` FROM #__content WHERE `id` BETWEEN '$fromid' AND '$toid'";
$db->setQuery($query);
$ids = $db->loadObjectList();

foreach ($ids as $id) {
	$query = "SELECT `id`,`title`,`introtext`,`fulltext` FROM #__content WHERE `id`='$id->id'";
	$db->setQuery($query);
	$article = $db->loadObject();
	
	$hasimg = false;
	//Check introtext
	$introjpg = strpos($article->introtext,"data:image/jpeg;base64");
	$intropng = strpos($article->introtext,"data:image/png;base64");
	//Check fulltext
	$fulljpg = strpos($article->fulltext,"data:image/jpeg;base64");
	$fullpng = strpos($article->fulltext,"data:image/png;base64");
	
	if ($introjpg or $intropng or $fulljpg or $fullpng) {$hasimg = true;$articlefound = true;}
	
	//Create message:
	if ($hasimg) {
		$emsg .= JText::_("COM_TOOLBOX_ARTICLE_WIDTH_TITLE").' "'.$article->title. '" ' .JText::_("COM_TOOLBOX_ARTICLE_ID").': ('.$article->id.') '.JText::_("COM_TOOLBOX_HAS_IMG").' <a href="index.php?option=com_content&amp;view=article&amp;layout=edit&amp;id='.$article->id.'" target="_blank">'.JText::_("COM_TOOLBOX_EDIT_ARTICLE").'</a><br />';
	}
}

if (!$articlefound) {
	$smsg = JText::_("COM_TOOLBOX_NO_ARTICLE_FOUND");
}

$app->enqueueMessage($smsg);
$app->enqueueMessage($emsg, 'error');
 ?>