<?php
/**
* Author:	Amir Hosseini
* Email:	soomar63@gmail.com
* Website:	http://Soomar63.com
* Component: Toolbox
* Version:	1.2.2
* Date:		21/11/2020
* copyright	Copyright (C) 2020 http://soomar63.com. All Rights Reserved.
* @license	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
$app = JFactory::getApplication();
$db = JFactory::getDBO();
$currentTime = JFactory::getDate();
$user = JFactory::getUser();
$smsg = '';
$emsg = '';
?>
<form name="importer" action="" method="post">
<input type="hidden" value="1" name="loadimporter" />
<!--Checks inserted bey and only accept numbers-->
<script type="text/javascript">function validate(evt) {var theEvent = evt || window.event;var key = theEvent.keyCode || theEvent.which;key = String.fromCharCode( key );var regex = /[0-9]|\./;if( !regex.test(key) ) {theEvent.returnValue = false;if(theEvent.preventDefault) theEvent.preventDefault();}}</script>

<label><?php echo JText::_('COM_TOOLBOX_ARTICLE_TITLE'); ?> </label>
<input type="text" size="28" value="<?php echo $_POST['articletitle']; ?>" name="articletitle" /><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_ARTICLE_TITLE_ALERT'); ?></div>

<label><?php echo JText::_('COM_TOOLBOX_ARTICLE_ALIAS'); ?> </label>
<input type="text" size="28" value="<?php echo $_POST['articlealias']; ?>" name="articlealias" /><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_ARTICLE_ALIAS_ALERT'); ?></div>

<label><?php echo JText::_('COM_TOOLBOX_ARTICLE_CONTENT'); ?> </label>
<textarea id="articlecontent" name="articlecontent" rows="4" cols="50"></textarea><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_ARTICLE_CONTENT_ALERT'); ?> <?php echo JText::_('COM_TOOLBOX_CONTENT_SAMPLE'); ?>: <a href="<?php echo JURI::root().'administrator/components/com_toolbox/samples/importer.doc'; ?>"><?php echo JText::_('COM_TOOLBOX_CONTENT_SAMPLE'); ?></a></div>

<label><?php echo JText::_('COM_TOOLBOX_CATID'); ?> </label>
<input type="number" size="28" onkeypress="validate(event)" value="<?php echo $_POST['catid']; ?>" name="catid" /><br />
<div class="alert alert-primary" role="alert"><?php echo JText::_('COM_TOOLBOX_CATID_ALERT'); ?></div>

<br />
<input type="submit" id="importer" name="importer" value="<?php echo JText::_('COM_TOOLBOX_SUBMIT'); ?>" class="btn btn-primary" />
<input type="reset" name="reset" value="<?php echo JText::_('COM_TOOLBOX_RESET'); ?>" class="btn btn-warning" />
</form>

<?php
$title = $_POST['articletitle'];
if (!$title) {$app->enqueueMessage(JText::_('COM_TOOLBOX_TITLE_HELP'));return false;}
if ($_POST['articlealias']) {$alias = str_replace(' ', '-', $_POST['articlealias']);}
else {$alias = str_replace(' ', '-', $_POST['articletitle']);}

	$alias = trim($alias, "-");
	$alias = strtolower($alias);
	$alias = preg_replace("/[^\w\d\p{L}]/u", "-", $alias);

	do {
	$alias = str_replace("--", "-", $alias);
	$check = strpos($alias,"--");
	} while ($check);

//Now we have to check for duplicate alias:
$query = "SELECT `id`,`title` FROM #__content WHERE alias='$alias'";
$db->setQuery($query);
$existing_alias = $db->loadObject();

if ($existing_alias->id) {$app->enqueueMessage(JText::_('COM_TOOLBOX_EXISTING_ALIAS'),'error');return false;}
else {

if ($_POST['catid'] > 0) {
	$catid = $_POST['catid'];
	$query = "SELECT `title` FROM #__categories WHERE id='$catid'";
	$db->setQuery($query);
	$cattitle = $db->loadResult();
	if (!$cattitle) { // Catid exist
		$query = "SELECT MIN(ID) FROM #__categories WHERE id > 1";
		$db->setQuery($query);
		$catid = $db->loadResult();
		
		$query = "SELECT `title` FROM #__categories WHERE id='$catid'";
		$db->setQuery($query);
		$cattitle = $db->loadResult();
	}
} else {
	$query = "SELECT MIN(ID) FROM #__categories WHERE id > 1";
	$db->setQuery($query);
	$catid = $db->loadResult();
		
	$query = "SELECT `title` FROM #__categories WHERE id='$catid'";
	$db->setQuery($query);
	$cattitle = $db->loadResult();
}

$content = $_POST['articlecontent'];
$content = explode('{INTRO}', $content);
$introtext = $content[0];
if (!$introtext) {$app->enqueueMessage(JText::_('COM_TOOLBOX_NO_INTROTEXT'),'error');return false;}
$fulltext = $content[1];
if (!$fulltext) {$app->enqueueMessage(JText::_('COM_TOOLBOX_NO_FULLTEXT'),'error');return false;}

$pages = substr_count($fulltext, '{PAGE}') + 2;

//With a for loop, all {PAGE}s will replace with <hr /> tags
for ($page=2;$page<$pages;$page++) {
	$findStr = '{PAGE}';
	$replaceWith = '<hr alt="'.$page.'" class="system-pagebreak" title="'.$page.'" />';
	$fulltext = preg_replace('/' . $findStr . '/', $replaceWith, $fulltext, 1);
}
//Now, content is ready and we can insert article into database
$article = array("id", "asset_id", "title", "alias", "introtext", "fulltext", "state", "catid", "created", "created_by", "created_by_alias", "modified", "modified_by", "checked_out", "checked_out_time", "publish_up", "publish_down", "images", "urls", "attribs", "version", "ordering", "metakey", "metadesc", "access", "hits", "metadata", "featured", "language", "xreference");

$dbname = JFactory::getApplication()->getCfg('db');
$tblname = JFactory::getApplication()->getCfg('dbprefix').'assets';
$query = "SELECT `AUTO_INCREMENT` FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = '$dbname' AND TABLE_NAME = '$tblname'";
$db->setQuery($query);
$increment = $db->loadResult();

$article[id] = '';
$article[asset_id] = $increment;
$article[title] = $title;
$article[alias] = $alias;
$article[introtext] = $introtext;
$article[fulltext] = $fulltext;
$article[state] = 0;
$article[catid] = $catid;
$article[created] = $currentTime;
$article[created_by] = $user->id;
$article[created_by_alias] = '';
$article[modified] = $currentTime;
$article[modified_by] = 0;
$article[checked_out] = 0;
$article[checked_out_time] = '0000-00-00 00:00:00';
$article[publish_up] = $currentTime;
$article[publish_down] = '0000-00-00 00:00:00';
$article[images] = '{"image_intro":"","imgClass":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","fullimgClass":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":"","img_width":"","img_height":""}';
$article[urls] = '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}';
$article[attribs] = '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","multicats":""}';
$article[version] = 1;
$article[ordering] = 0;
$article[metakey] = '';
$article[metadesc] = '';
$article[access] = 1;
$article[hits] = 0;
$article[metadata] = '{"robots":"","author":"","rights":"","xreference":""}';
$article[featured] = 0;
$article[language] = '*';
$article[xreference] = '';


$query = "INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
('', '$article[asset_id]', '$article[title]', '$article[alias]', '$article[introtext]', '$article[fulltext]', '$article[state]', '$article[catid]', '$article[created]', '$article[created_by]', '$article[created_by_alias]', '$article[modified]', '$article[modified_by]', '$article[checked_out]', '$article[checked_out_time]', '$article[publish_up]', '$article[publish_down]', '$article[images]', '$article[urls]', '$article[attribs]', '$article[version]', '$article[ordering]', '$article[metakey]', '$article[metadesc]', '$article[access]', '$article[hits]', '$article[metadata]', '$article[featured]', '$article[language]', '$article[xreference]')";
$db->setQuery($query);
$db->query();

//After insert article, get the ID:
$query = "SELECT `id` FROM #__content WHERE alias='$alias'";
$db->setQuery($query);
$newid = $db->loadResult();
//And get MaxID
$query = "SELECT MAX(ID) FROM #__content";
$db->setQuery($query);
$maxid = $db->loadResult();

if ($newid == $maxid) { //So we sure that new article is added at the end of content table

$query = "INSERT INTO `#__content_multicats` (`id`, `content_id`, `catid`, `ordering`) VALUES ('', '$newid', '1', '0')";
$db->setQuery($query);
$db->query();

$query = "INSERT INTO `#__multicats_content_catid` (`id`, `item_id`, `catid`) VALUES ('', '$newid', '1')";
$db->setQuery($query);
$db->query();

$smsg = JText::_("COM_TOOLBOX_ARTICLE_WIDTH_TITLE").' "'.$article[title].'" '.JText::_("COM_TOOLBOX_IN_CATEGORY").' "'.$cattitle.'" '.JText::_("COM_TOOLBOX_CREATED_SUCCESSFULLY").$newid;
$app->enqueueMessage(JText::_($smsg));
}
} //end of else
 ?>